<?php 
require_once("../datos/mysqlcalendario.php");
date_default_timezone_set("America/Santiago");
$c = new mysqlcalendario();
$indice = $_POST['name'];
ini_set('memory_limit', '-1');

/* getVerify  -- FUNCION PARA VERIFICAR LAS CREDENCIALES del CLIENTE*/
if($indice == "getCalendarioPostventa"){
	$id_proyecto = $_POST['id_proyecto'];
	$num_dias = $_POST['contador_dias'];
	$resultado = $c->getCalendarioPostventa($id_proyecto,$num_dias);
	echo json_encode($resultado);
}else if($indice == "setHora"){
	$id_configuracion= $_POST['pk']; 
	$numero= $_POST['value'] ;
	$resultado = $c->Updatedias($id_configuracion,$numero);
	echo $resultado;
}else if($indice == "getConfiguracionNombre"){
	$nombre = $_POST['nombre_dia'];
	$id_proyecto  = $_POST['id_proyecto'];
	$resultado = $c->getConfiguracioncalendarioBYnombre($nombre,$id_proyecto);
	$valor = "";
	if(empty($resultado)){
		$valor = "0";
	}else{
		for($i=0;$i<count($resultado);$i++){
			$valor =$resultado[$i]['NUMERO'];

		}
	}
	echo $valor;
}else if($indice == "getCalendarioMostrar"){
	$id_persona = $_POST['id_persona'];
	$resultado = $c->getCalendarioMostrar($id_persona);
	echo json_encode($resultado);
}else if($indice == "getReservadasPrimeravisita"){
	$resultado = $c->getReservadasPrimeravisita();
  	echo json_encode($resultado);
}else if($indice =="nuevoevento"){
	$id_proyecto = $_POST['id_proyecto'];
	$tipocalendario = $_POST['id_tipocalendario'];
	$id_persona_responsable = $_POST['id_persona_responsable'];
	$usuario_registra = $_POST['id_persona_registra'];
	$fec_inicio = $_POST['fec_inicio'];
	$fec_fin = $_POST['fec_fin'];
	$resultado = $c->nuevoEvento($id_proyecto,$tipocalendario,$id_persona_responsable,$usuario_registra,$fec_inicio,$fec_fin);//CORRESPONDE A UN NUEVO EVENTO
	echo $resultado;
}else if($indice =="eliminarEvento"){
	$id_calendario = $_POST['id_calendario'];
	$resultado = $c->eliminarEvento($id_calendario);//CORRESPONDE A UN NUEVO EVENTO
	echo $resultado;
}else if($indice == "getCalendarioMostrarParametro"){
	$id_persona = $_POST['id_persona'];
	$parametro = $_POST['parametro'];
	$resultado = $c->getCalendarioMostrarParametro($parametro,$id_persona);//CORRESPONDE A UN NUEVO EVENTO
 	echo json_encode($resultado);
}else if($indice == "eventomasivo"){
	$proyecto = $_POST['proyecto'];
	$id_tipocalendario  =$_POST['id_tipocalendario'];
	$id_persona_registra =$_POST['id_persona_registra'];
	$id_persona_responsable =$_POST['id_persona_responsable'];
	$listafechasconhoras = $_POST['listafechasconhoras'];
	$resultado = $c->eventomasivo($proyecto,$id_tipocalendario,$id_persona_registra,$id_persona_responsable,$listafechasconhoras);//CORRESPONDE A UN NUEVO EVENTO
	echo $resultado;
}else if($indice =="nuevoEvento2Visitas"){
	//NUEVO EVENTO DE 2 VISITA
	$id_ticket = $_POST['id_ticket'];
	$id_proyecto = $_POST['id_proyecto'];
	$tipocalendario = $_POST['id_tipocalendario'];
	$id_persona_responsable = $_POST['id_persona_responsable'];
	$usuario_registra = $_POST['id_persona_registra'];
	$fec_inicio = $_POST['fec_inicio'];
	$fec_fin = $_POST['fec_fin'];
	$resultado = $c->nuevoEvento2Visitas($id_ticket,$id_proyecto,$tipocalendario,$id_persona_responsable,$usuario_registra,$fec_inicio,$fec_fin);//CORRESPONDE A UN NUEVO EVENTO
	echo $resultado;
}else if($indice == "reagendarVisita"){
	//Reagendarvisita
	$id_ticket = $_POST['id_ticket'];
	$id_proyecto = $_POST['id_proyecto'];
	$id_calendario = $_POST['id_calendario'];
	$id_persona_responsable = $_POST['id_persona_responsable'];
	$usuario_registra = $_POST['id_persona_registra'];
	$fec_inicio = $_POST['fec_inicio'];
	$fec_fin = $_POST['fec_fin'];
	$resultado = $c->reagendarVisita($id_ticket,$id_calendario,$id_proyecto,$id_persona_responsable,$usuario_registra,$fec_inicio,$fec_fin);//CORRESPONDE A UN NUEVO EVENTO
	echo $resultado;

}else if($indice == "setmaximo"){
	$id_maximo= $_POST['pk']; 
	$numero= $_POST['value'] ;
	$resultado = $c->updatemaximo($id_maximo,$numero);
	echo $resultado;

}else if($indice == "setdia"){
	$id_maximo= $_POST['pk']; 
	$numero= $_POST['value'] ;
	$resultado = $c->setdia($id_maximo,$numero);
	echo $resultado;

}else if($indice == "getmaximo"){
	$resultado = $c->getMaximo();//CORRESPONDE A UN NUEVO EVENTO
 	echo json_encode($resultado);
	// $conteo = 0;
	// if(empty($resultado)){
	// }else{
	// 	for($i=0;$i<count($resultado);$i++){
	// 		$conteo =$resultado[$i]['MAXIMO'];
	// 	}
	// }
	//echo $conteo;
}else if($indice == "getConfiguracioncalendarioPROYECTO"){
	$id_proyecto= $_POST['id_proyecto'] ;
	$resultado = $c->getConfiguracioncalendarioPROYECTO($id_proyecto);
	echo json_encode($resultado);

}else if($indice == "setCalendarioConfiguracion"){
	$id_proyecto= $_POST['id_proyecto'] ;
	$listadias = $_POST['listadias'];
	$resultado = $c->setCalendarioConfiguracion($id_proyecto,$listadias);
	echo $resultado;
}else if($indice == "gethoracalendarioBYID"){
	$id_calendario = $_POST['id_calendario'];
	$resultado = $c->gethoracalendarioBYID($id_calendario);
	if(empty($resultado)){
		$valor = "0";
	}else{
		for($i=0;$i<count($resultado);$i++){
			$valor =$resultado[$i]['fec_inicio'];

		}
	}
	echo $valor;
}
?>